﻿
#work-page-class .main-box{
    min-height: calc(100vh - 130px);
}
.work-box {
    width: 1880px;
    max-width: 100%;
    margin: 0 auto;
    display: block;
    font-size: 0;
    padding-bottom: 20px;
    box-sizing: border-box;
}

.work-class-list-box{
    display: inline-block;
    width: 50%;
    vertical-align: top;
}
.works-class-list{
    width: 50%;
    display: block;
}
.work-class-list-box:nth-child(1) .works-class-list:nth-child(1){
    float: left;
}
.work-class-list-box:nth-child(1) .works-class-list:nth-child(2){
    float: right;
}
.work-class-list-box:nth-child(1) .works-class-list:nth-child(3){
    width: 100%;
    float: left;
    margin-top: 30px;
}
.works-class-list-info{
    width: calc(100% - 30px);
    display: block;
    position: relative;
    margin: 0 auto;
    overflow: hidden;
}
.work-class-list-box:nth-child(1) .works-class-list:nth-child(1) .works-class-list-info .works-class-list-img,
.work-class-list-box:nth-child(1) .works-class-list:nth-child(2) .works-class-list-info .works-class-list-img{
    padding-bottom: 68%;
}
.work-class-list-box:nth-child(1) .works-class-list:nth-child(3) .works-class-list-info .works-class-list-img{

    padding-bottom: 38.4%;
}
.works-class-list-img {
    display: block;

}
.works-class-list-img .main-bg{
    position: absolute;
    top: 0;
    left: 0;
}
.work-class-list-box:nth-child(2) .works-class-list:nth-child(1){
    float: left;
 
}
.work-class-list-box:nth-child(2) .works-class-list:nth-child(2){
    float: right;
}
.work-class-list-box:nth-child(2) .works-class-list:nth-child(3){
    float: right;
    margin-top: 30px;
}
.work-class-list-box:nth-child(2) .works-class-list:nth-child(1)  .works-class-list-info .works-class-list-img{
    padding-bottom: 154.2%;
}
.work-class-list-box:nth-child(2) .works-class-list:nth-child(2)  .works-class-list-info .works-class-list-img{
    padding-bottom: 79.5%;
}
.work-class-list-box:nth-child(2) .works-class-list:nth-child(3)  .works-class-list-info .works-class-list-img{
    padding-bottom: 68.1%;
}
.works-class-title{
    position: absolute;
    left: 0px;
    bottom: 0;
    letter-spacing: 5px;
    font-size: 30px;
    text-shadow: rgb(0,0,0) 3px 2px 6px;
    color: #FFF;
    font-weight: 300;
    z-index: 1;
    width: 100%;
    padding: 0 10px;
    box-sizing: border-box;
}
.work-mask{
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    background-color: rgba(0,0,0,0.7);
    background-image: url(../img/front/mask-icon.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: 75px;

}


/*------------------------page-class-------------------------------*/
.work-page-class-box{
    width: 1200px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    padding: 10px 0;
}
.work-page-class-title{

    font-size: 40px;
    letter-spacing: 5px;
    text-align: left;
    display: block;
    margin: 0 auto;
}
.works-page-class-list-box{
    font-size: 0;
    width: 100%;
}

.works-page-class-list{
    display: inline-block;
    font-size: 16px;
    letter-spacing: 3px;
    padding-right: 10px;
    padding-bottom: 5px;
}

.works-page-class-list:last-child{
    padding-right: 0;
}
.work-page-box{
    font-size: 0;
    width: 100%;
    display: block;
}
.work-page-list{
    width: 20%;
    display: inline-block;
    vertical-align: top;
    padding: 0.5% 0.5%;
    box-sizing: border-box;
}
.work-page-list a{
    width: 100%;
    display: block;
    position: relative;
    overflow: hidden;
}
.works-page-list-img{
    width: 100%;
    padding-bottom: 77.5%;
    position: relative;
    overflow: hidden;
    display: block;
}
.works-page-list-img .main-bg{
    position: absolute;
    top: 0;
    left: 0;
}
.works-page-class-title{
    font-size: 20px;
    letter-spacing: 2px;
    position: absolute;
    width: 100%;
    bottom: 5px;
    left: 0;
    text-shadow: rgb(0,0,0) 2px 2px 3px;
    color: #FFF;
    font-weight: 300;
    z-index: 1;
    padding: 0 10px;
    box-sizing: border-box;
}
.works-page-mask2{
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
}
.work-mask2{
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0 !important;
    display: block;
    background: -moz-linear-gradient(top, rgba(0,0,0,0) 74%, rgba(0,0,0,0.65) 100%);
    background: -webkit-linear-gradient(top, rgba(0,0,0,0) 74%,rgba(0,0,0,0.65) 100%);
    background: linear-gradient(to bottom, rgba(0,0,0,0) 74%,rgba(0,0,0,0.65) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00000000', endColorstr='#a6000000',GradientType=0 );
}
.works-page-mask{
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    background-color: rgba(0,0,0,0.6);
    background-image: url(../img/front/mask-icon.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: 75px;
    transition: all .5s ease;
    top: 0;
    left: 0;
    opacity: 0;
}



/*--------------------------------------------*/
.work-page-title-box{
    width: 1200px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    position: relative;
    font-size: 0;
}
.work-content-back{
    font-size: 30px;
    display: inline-block;
    vertical-align: middle;
    width: 30px;
    max-width: 100%;
    text-align: center;
    transition: all .5s ease;
    color: #fb0908;
}
.works-page-title{
    width: calc(100% - 30px);
    display: inline-block;
    vertical-align: middle;
    font-size: 50px;
    letter-spacing: 5px;
    font-weight: 300;
    padding-right: 10px;
    box-sizing: border-box;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}


#work-page .main-box{
    height: calc(100vh - 130px);
    min-height: inherit;
}
#work-page .work-page-box{

    height: calc(100% - 80px);
}
.work-page-info-box{
    width: 100%;
    height: 100%;
    display: block;
}
.works-page-info-list{
    width: 100%;
    height: 100%;
    display: block;
}
.works-page-info-img{
    width: 100%;
    height: 100%;
    display: block;
    background-color: #000;
}

.work-page-box .slick-list,
.work-page-box .slick-track{
    height: 100%;
}
.work-page-box .slick-prev{
    left: 20px;
}
.work-page-box .slick-next {
    right: 20px;
}

.work-page-box .slick-prev, 
.work-page-box .slick-next{
    z-index: 9;
}

.work-page-box .slick-prev:before, 
.work-page-box .slick-next:before{
    display: none;
}
.work-page-box .slick-prev{
    width: 25px;
    max-width: 100%;
    display: block;
    height: 55px;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    background-image: url(../img/front/arrow-prev.png);
}
.work-page-box .slick-next{
    width: 25px;
    max-width: 100%;
    display: block;
    height: 55px;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    background-image: url(../img/front/arrow-next.png);
}
@media only screen and (min-width: 1000px){

    .works-class-title,
    .works-class-list-img,
    .works-page-list-img,
    .works-page-mask2{
        animation: fade .8s ease .2s 1 both;
    }
    .works-class-list-info:hover .main-bg,
    .work-page-list:hover .main-bg{
        transform: scale(1.1);
    }
    .work-page-list a:hover .works-page-mask{
        opacity: 1;
    }
    .work-content-back:hover i{
        animation: arrow-left .8s linear infinite alternate;
    }
}

@media only screen and (max-width: 1680px){
    .work-class-list-box:nth-child(2) .works-class-list:nth-child(1) .works-class-list-info .works-class-list-img{
        padding-bottom: 156%;
    }
    .work-box{
        padding: 0 10px;
        padding-bottom: 20px;
    }
}

@media only screen and (max-width: 1366px){
    .work-class-list-box:nth-child(2) .works-class-list:nth-child(1) .works-class-list-info .works-class-list-img{
        padding-bottom: 158%;
    }
    .works-class-title{
        font-size: 26px;
    }
    #work-page-class .main-box{
        padding-bottom: 30px;
    }
}
@media only screen and (max-width: 1280px){
    .work-class-list-box:nth-child(2) .works-class-list:nth-child(1) .works-class-list-info .works-class-list-img {
        padding-bottom: 159%;
    }  
    .works-class-title{
        font-size: 20px;
    }
}
@media only screen and (max-width: 1200px){
    .work-page-class-box{
        width: 95%;
    }
    .works-page-class-title{
        font-size: 14px;
    }
    .work-page-title-box{
        width: 95%;
    }
}


@media only screen and (max-width: 1024px){
    .work-class-list-box:nth-child(2) .works-class-list:nth-child(1) .works-class-list-info .works-class-list-img {
        padding-bottom: 160%;
    }  
    .works-class-list-info{
        width: calc(100% - 20px);
    }
    .work-box{
        padding: 10px;
        padding-top: 0;
    }
}
@media only screen and (max-width: 1000px){
    .work-page-box .slick-dotted.slick-slider{
        margin-bottom: 0;
    }
    .work-page-box .slick-dots{
        bottom: 10px;
    }
    .work-page-box .slick-dots li button:before{
        opacity: 1;
        color: #FFF;
    }
    #work-page .work-page-box {
        height: calc(100% - 48px);
    }
    .work-page-box .slick-dots li.slick-active button:before{
        opacity: 1;
        color: #fb0908;
    }
    .work-class-list-box{
        width: 100%;
        display: block;
        margin-bottom: 2%;
    }
    .works-class-list-info{
        width: 100%;
    }
    .works-class-list{
        box-sizing: border-box;
        padding: 0 1%;
    }
    .work-class-list-box:nth-child(1) .works-class-list:nth-child(3),
    .work-class-list-box:nth-child(2) .works-class-list:nth-child(3){
        margin-top: 2%;
    }
    .work-class-list-box:nth-child(2) .works-class-list:nth-child(1) .works-class-list-info .works-class-list-img {
        padding-bottom: 151%;
    }
    .works-class-list{
        width: 100%;
        display: block;
        float: none!important;
        margin-bottom: 2%;
    } 
    .work-page-list{
        width: calc(100% / 3);
    }
    .works-page-title{
        font-size: 30px;
    }
}

@media only screen and (max-width: 750px){
    .works-page-title{
        font-size: 24px;
        overflow: auto;
        white-space: inherit;
    }
    #work-page .main-box{
        height: calc(100vh - 72px);
    }
}
@media only screen and (max-width: 550px){
    .work-page-list{
        width: 100%;
    }
    .work-page-list-box{
        width: 95%;
        display: block;
        margin: 0 auto;
    }
    .work-page-list{
        padding: 0;
        margin-bottom: 10px;
    }

}


   